| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::GeoCoordinates Class Reference

## Public Types
enum | HasFlag { HasNothing = 0 , HasLatitude = 1 , HasLongitude = 2 , HasCoordinates = 3 , HasAltitude = 4 }
typedef QFlags< HasFlag > | HasFlags
typedef QList< GeoCoordinates > | List
typedef QPair< GeoCoordinates, GeoCoordinates > | Pair
typedef QList< GeoCoordinates::Pair > | PairList

## Public Member Functions
| GeoCoordinates (const double inLat, const double inLon)
| GeoCoordinates (const double inLat, const double inLon, const double inAlt)
double | alt () const
QString | altString () const
void | clear ()
void | clearAlt ()
QString | geoUrl () const
bool | hasAltitude () const
bool | hasCoordinates () const
HasFlags | hasFlags () const
bool | hasLatitude () const
bool | hasLongitude () const
double | lat () const
QString | latString () const
double | lon () const
QString | lonString () const
bool | operator== (const GeoCoordinates &other) const
bool | sameLonLatAs (const GeoCoordinates &other) const
void | setAlt (const double inAlt)
void | setLatLon (const double inLat, const double inLon)
Marble::GeoDataCoordinates | toMarbleCoordinates () const

## Static Public Member Functions
static GeoCoordinates | fromGeoUrl (const QString &url, bool *const parsedOkay=nullptr)
static GeoCoordinates | fromMarbleCoordinates (const Marble::GeoDataCoordinates &marbleCoordinates)
static Pair | makePair (const qreal lat1, const qreal lon1, const qreal lat2, const qreal lon2)

## Member Function Documentation

## ◆ fromMarbleCoordinates()

GeoCoordinates Digikam::GeoCoordinates::fromMarbleCoordinates | ( | const Marble::GeoDataCoordinates & | marbleCoordinates | ) |
| static